Common

Get the calling user's profile

GET
/common/user/get

Returns the calling user's profile and membership details.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/common/user/get"
{  "result": {    "data": {      "user": {        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",        "fullName": "Jane Doe",        "startDate": "2025-01-01T12:00:00.000Z",        "isActive": true,        "roleId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",        "userEmail": "jane.doe@example.com",        "settings": [          {            "settingKey": "ALLOW_CONTACT_SHARE",            "value": "true"          }        ],        "userDetails": {          "scope": 1,          "level": 1        }      }    },    "statusCode": 200,    "message": "OK"  },  "origin": "GET https://api.doctavian.com/v1/common/user/get",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "c5c015fa077f2e03a4b2d6ba7cb4cbd7",  "userId": "0323c54b-2b7f-419f-af8a-56686319b39e"}
{  "error": {    "innerErrors": [      {        "code": "VALIDATION_ERROR",        "message": "Name is required.",        "userMessage": "Name is required."      }    ],    "message": "One or more validation errors occurred.",    "statusCode": 401  },  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "9ab1616d79407dcebbe628df78e7afc8",  "origin": "GET https://api.doctavian.com/v1/common/user/get",  "userId": "b77993e9-cfff-4819-88af-364a80d58632"}
{  "error": {    "innerErrors": [      {        "code": "VALIDATION_ERROR",        "message": "Name is required.",        "userMessage": "Name is required."      }    ],    "message": "One or more validation errors occurred.",    "statusCode": 403  },  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "5f8777c55e4c325610a57563afb6600e",  "origin": "GET https://api.doctavian.com/v1/common/user/get",  "userId": "af83e094-05eb-4aa3-8f93-c0e1a87771fd"}
{  "error": {    "innerErrors": [      {        "code": "GET_USER_FAILED",        "message": "Failed to load the current user.",        "userMessage": "Something went wrong. Please contact support."      }    ],    "message": "Failed to load the current user.",    "statusCode": 500  },  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "f2b861f965f587b16f96486fbdfdfa4b",  "origin": "GET https://api.doctavian.com/v1/common/user/get",  "userId": "064edda8-be1e-45d2-94d2-582955e147d3"}